## ruby-jsonb-accessor 1.3.10

=== Makefile ===
build-gem:
	@docker build --build-arg RUBY_PLATFORM=ruby --build-arg RUBY_VERSION=3.2.2 -t jsonb_accessor-ruby:3.2.2 .
	@docker run --rm -v $(PWD):/usr/src/app -w /usr/src/app jsonb_accessor-ruby:3.2.2 gem build

build-gem-java:
	@docker build --build-arg RUBY_PLATFORM=jruby --build-arg RUBY_VERSION=9.4.2-jdk -t jsonb_accessor-jruby:9.4.2-jdk .
	@docker run --rm -v $(PWD):/usr/src/app -w /usr/src/app jsonb_accessor-jruby:9.4.2-jdk gem build --platform java

=== debian/changelog ===
ruby-jsonb-accessor (1.3.10-2) unstable; urgency=medium

  * Team upload.
  * Source-only upload for migration to testing.

 -- Mohammed Bilal <rmb@debian.org>  Tue, 24 Oct 2023 16:10:24 +0530

ruby-jsonb-accessor (1.3.10-1) unstable; urgency=medium

  [ Ravi Dwivedi, Mohammed Bilal ]
  * Initial release (Closes: #1054135)

 -- Ravi Dwivedi <ravi@anche.no>  Mon, 23 Oct 2023 16:08:13 +0530

=== debian/control ===
Source: ruby-jsonb-accessor
Section: ruby
Priority: optional
Maintainer: Debian Ruby Team <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Uploaders: Ravi Dwivedi <ravi@anche.no>
Build-Depends: debhelper-compat (= 13),
               gem2deb (>= 1),
               ruby-activerecord (>= 2:5.0),
               ruby-activesupport (>= 2:5.0),
               ruby-pg (>= 0.18.1)
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/ruby-team/ruby-jsonb-accessor.git
Vcs-Browser: https://salsa.debian.org/ruby-team/ruby-jsonb-accessor
Homepage: https://github.com/devmynd/jsonb_accessor
Testsuite: autopkgtest-pkg-ruby
Rules-Requires-Root: no

Package: ruby-jsonb-accessor
Architecture: all
Depends: ${misc:Depends},
         ${ruby:Depends},
         ${shlibs:Depends}
Description: Adds typed jsonb backed fields to ActiveRecord models
 Jsonb Accessor allows you to treat fields on a jsonb column as though they
 were actual columns being picked up by ActiveRecord. It also adds generic
 scopes for querying jsonb columns.

=== debian/watch ===
version=4
https://gemwatch.debian.net/jsonb_accessor .*/jsonb_accessor-(.*).tar.gz

# Use the regex below for github-based sources
# opts=uversionmangle=s/[_.+-]?(rc|pre|dev|beta|alpha|b|a)/~$1/i,\
# filenamemangle=s%(?:.+/)?v?@ANY_VERSION@(@ARCHIVE_EXT@)%@PACKAGE@-$1$2% \
#   https://github.com/<owner>/<repo>/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@

## ruby-jsonb-accessor 1.4

=== debian/changelog ===
ruby-jsonb-accessor (1.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.4.

 -- Lucas Kanashiro <kanashiro@debian.org>  Tue, 10 Dec 2024 16:14:09 -0300

## ruby-jsonb-accessor 1.4.1

=== debian/changelog ===
ruby-jsonb-accessor (1.4.1-1) unstable; urgency=medium

  * Team upload.

  [ Lucas Nussbaum ]
  * debian/gbp.conf: Add for DEP-14
  * debian/salsa-ci.yml: use team-specific include

  [ Simon Quigley ]
  * Upgrade watch file to version 5.
  * New upstream release.
  * Update Standards-Version to 4.7.3.
  * Drop Rules-Requires-Root field, it is now redundant.
  * Bump build dependencies.

 -- Simon Quigley <tsimonq2@debian.org>  Tue, 24 Feb 2026 17:54:39 -0600

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,17 @@
 Source: ruby-jsonb-accessor
 Section: ruby
-Priority: optional
 Maintainer: Debian Ruby Team <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
 Uploaders: Ravi Dwivedi <ravi@anche.no>
 Build-Depends: debhelper-compat (= 13),
                gem2deb (>= 1),
-               ruby-activerecord (>= 2:5.0),
-               ruby-activesupport (>= 2:5.0),
+               ruby-activerecord (>= 2:6.1),
+               ruby-activesupport (>= 2:6.1),
                ruby-pg (>= 0.18.1)
-Standards-Version: 4.6.2
+Standards-Version: 4.7.3
 Vcs-Git: https://salsa.debian.org/ruby-team/ruby-jsonb-accessor.git
 Vcs-Browser: https://salsa.debian.org/ruby-team/ruby-jsonb-accessor
 Homepage: https://github.com/devmynd/jsonb_accessor
 Testsuite: autopkgtest-pkg-ruby
-Rules-Requires-Root: no
 
 Package: ruby-jsonb-accessor
 Architecture: all

=== debian/watch ===
Version: 5
Template: GitHub
Owner: madeintandem
Project: jsonb_accessor
